package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/
public abstract class AbstractBridgeObject extends AttributedModel {
    public static final String ATTRIBUTE_RUN_STATE = "Run State";
    public static final String ATTRIBUTE_STARTUP_RULE_CLASS = "Startup Rule";
    public static final String ATTRIBUTE_DEFAULT_TRANSFORMER = "Default Transformer";
    public static final String ATTRIBUTE_HEARTBEAT_INTERVAL = "Heartbeat Interval";
    public static final String ATTRIBUTE_HOST_NAME = "Host Name";
    public static final String ATTRIBUTE_PORT = "Port";
    public static final String ATTRIBUTE_USER_ID = "User ID";
    public static final String ATTRIBUTE_PASSWORD = "Password";
    public static final String ATTRIBUTE_SECURITY_EXIT = "SecurityExit";
    public static final String ATTRIBUTE_RECEIVE_EXIT = "Receive Exit";
    public static final String ATTRIBUTE_SEND_EXIT = "Send Exit";
    public static final String ATTRIBUTE_CCSID = "CCSID";
    public static final String ATTRIBUTE_MQ_BRIDGE_ADAPTER_CLASS = "Adaptor";
    public static final String ATTRIBUTE_SYNC_Q_PURGER_RULES_CLASS = "SyncQ Purger";
    public static final String ATTRIBUTE_MAX_CONNECTION_IDLE_TIME = "Max Idle Time";
    public static final String ATTRIBUTE_SYNC_Q_NAME = "SyncQ Name";
    public static final String ATTRIBUTE_SYNC_Q_PURGE_INTERVAL = "SyncQ Purge Interval";
    public static final String ATTRIBUTE_DEAD_LETTER_Q_NAME = "Dead Letter Queue";
    public static final String ATTRIBUTE_SECONDS_WAIT_FOR_MSG = "Message Wait Time";
    public static final String ATTRIBUTE_UNDELIVERED_MESSAGE_RULE_CLASS = "Undelivered Rule";
    public static final String ATTRIBUTE_LISTENER_STATE_STORE_ADAPTER = "State Store";
    public static final String ATTRIBUTE_FLOWS_PER_COMMIT = "Flows Per Commit";
    public static final String ATTRIBUTE_TRANSFORMER = "Field Transformer";

    private boolean running;
/**
 * Insert the method's description here.
 * Creation date: (14/11/2001 07:18:38)
 */
public AbstractBridgeObject() {
	super();
	createAttribute("Run State", "0", false);
}
/**
 * Search among the recievers children for a bridge listener pulling
 * messages from the specified transmit queue.
 * return null if not found
 */
abstract BridgeListener getListenerFor(MQXmitQueue txQueue);
}
