package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public class AdminQueue extends LocalQueue {
	public static final String ATTRIBUTE_ADMINQ_TIMER_INTERVAL = "Timer Interval";
/**
 * AdminQueue constructor comment.
 * @param owner designer.model.QueueManager
 */
public AdminQueue(QueueManager owner) {
	super(owner);
	createAttribute(ATTRIBUTE_ADMINQ_TIMER_INTERVAL, "0", true);
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append(getShortDescription());
	buf.append(" provides administration capability for the resources managed by ");
	buf.append(getQueueManager().getShortDescription());
	buf.append(".");
	return buf.toString();
}
public final boolean isAdminQueue() {
	return true;
}
}
