package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.util.Vector;
/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:09:03)
 * @author: 
 */
public class BridgePullMessageRoute extends MessageRoute {
	private BridgeListener destination;
	private MessageRouteDependancy destinationLine;
	private MessageRouteDependancy sourceLine;
	private Vector names = new Vector();
/**
 * PushMessageRoute constructor comment.
 */
public BridgePullMessageRoute(BridgeListener listener, MQQueue destination) {
	super(listener);
	// note these go counter wise as we are pulling rather than pushing
	destinationLine = new MessageRouteDependancy(this, listener, null, false);
	sourceLine = new MessageRouteDependancy(this, destination, null, true);
	this.destination = listener;
}
public String[] getBody() {
    String[] body = null; //super.getBody();
    //if (getSourceQueue().getShowPurpose()) {
    //    body = new String[]{getSourceQueue().getPurpose()};
	//}
    //if (null == body) {
    //    body = new String[] { "*@" + destination.getQueueManager().getName()};
    //}
    int n = 1 + names.size();
    body = new String[n];
    //body[0] =  "*@" + destination.getQueueManager().getName();
    for (int i = 0; i < names.size(); i++){
    	body[i] = names.elementAt(i).toString();
    }
    return body;
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append("This message route represents the potential flow of messages pulled from ");
	buf.append(destination.getDescription());
	buf.append(" to ");
	buf.append(source.getQueueManager().getDescription());
	buf.append(" by ");
	buf.append(source.getShortDescription());
	//buf.append(".  It relies on the logical connection consisting of ");
	//buf.append(connection.getDescription());
	//buf.append(" and ");
	//buf.append(listener.getDescription());
	buf.append(".");
	return buf.toString();
}
public String getHeader() {
	return "Pull Message Route";
}
boolean isValid() {
	return super.isValid()
			&& sourceLine.isAttached()
			&& destinationLine.isAttached();
}
final void setNames(Vector v) {
	names = v;
}
}
