package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public abstract class MQQueue extends MQOwnedResource {
	private String queueManagerName;
	//private String type;
	private String queueName;
/**
 * Insert the method's description here.
 * Creation date: (26/10/2001 13:47:06)
 * @param queueManager designer.model.MQQueueManager
 */
public MQQueue(MQQueueManager queueManager) {
	super(queueManager);
}
public String getDescription() {
	return getShortDescription()
		+ " defined on " + getOwner().getDescription();
}
public boolean matches(String qmName, String qName) {
	return qName.equals(getName());
}
/**
 * Called to request that the receiver removes itself
 * from model
 */
public void performDelete() {
	delete();
	getOwner().removeQueue(this);
}
}
