package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.event.ActionEvent;

public abstract class MQResource extends AttributedModel {
public void actionPerformed(ActionEvent e) {
    String cmd = e.getActionCommand();
    if (MI_DELETE.equals(cmd)) {
        performDelete();
    } else {
        super.actionPerformed(e);
    }
}
/*
 * Reply null as we cannot administer MQ (yet)
 *
 */
protected final AdministrationInterface getAdministrator() {
	return null;
}
/**
 * Called to request that the receiver removes itself
 * from model
 */
public void performDelete() {
	declareDeleted();
}
}
