package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.util.Vector;

public class MQXmitQueue extends MQQueue {
/**
 * Insert the method's description here.
 * Creation date: (26/10/2001 13:47:06)
 * @param queueManager designer.model.MQQueueManager
 */
public MQXmitQueue(MQQueueManager queueManager) {
	super(queueManager);
}
/**
 * Resolve the put message route.  This is done by adding steps to the route
 * until the destination is reached (or found to be unreachable)
 *
 * This method takes the put from a queue manager to a queue (local or remote) on
 * the queue manager.  If the queue is a remote queue then the resolution is
 * continued by the queue.
 */
final AbstractStep _resolveMessageRoute(AbstractStep previousStep, String qmName, String qName) {
    AbstractStep step = super._resolveMessageRoute(previousStep, qmName, qName);
    BridgeListener bl = getModel().getListenerFor(this);
    if (null != bl) {
	    bl._resolveMessageRoute(step, qmName, qName);
    }
    return step;
}
final Vector getNameList() {
	Vector v = new Vector();
	Vector queues = getOwner().getQueuesVector();
	for (int i = 0; i < queues.size(); i++){
		MQQueue queue = (MQQueue)queues.elementAt(i);
		if (queue.isMQRemoteQueue()) {
			MQRemoteQueue remQ = (MQRemoteQueue)queue;
			if (remQ.getTxQueueName().equals(getName())) {
				// we have a remote queue using this queue
				String remQName = remQ.getRemoteQueueName();
				String remQMName = remQ.getRemoteQueueManagerName();
				if (remQName.equals(remQMName)) {
					remQName = "*";
				}
				v.addElement(remQName+"@"+remQMName);
			}
		}
	}
	return v;
}
public String getType() {
	return "MQ Transmit Queue";
}
public boolean isMQTransmissionQueue() {
	return true;
}
}
