package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.PopupMenu;
import java.awt.MenuItem;
import java.awt.event.ActionEvent;
/**
 * Insert the type's description here.
 * Creation date: (19/04/2002 13:44:35)
 * @author: 
 */
public class MQeMessageRoute extends MessageRoute {
	Connection connection;
	private MessageRouteDependancy connectionLine;

	Listener listener;
	private MessageRouteDependancy listenerLine;
/**
 * MQeMessageRoute constructor comment.
 * @param sourceQueue designer.model.Queue
 * @param connection designer.model.Connection
 * @param listener designer.model.Listener
 */
public MQeMessageRoute(Queue sourceQueue, Connection connection, Listener listener) {
	super(sourceQueue);
	this.connection = connection;
	connectionLine = new MessageRouteDependancy(this, connection, "uses", false);
	this.listener = listener;
	listenerLine = new MessageRouteDependancy(this, listener, "uses", false);
}
public java.awt.PopupMenu getMenu() {
    PopupMenu popup = super.getMenu();
    MenuItem menuItem = new MenuItem(MI_EDITPURPOSE);
    menuItem.addActionListener(this);
    popup.add(menuItem);
    
    if (getSourceQueue().getShowPurpose()) {
        menuItem = new MenuItem(MI_SHOWNAME);
        menuItem.addActionListener(this);
        popup.add(menuItem);
    } else { // we are showing name
        if (null != getSourceQueue().getPurpose()) {
            menuItem = new MenuItem(MI_SHOWPURPOSE);
            menuItem.addActionListener(this);
            popup.add(menuItem);
        }
    }

    return popup;
}
boolean isValid() {
	return connectionLine.isAttached()
			 && listenerLine.isAttached();
}
}
