package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import glyph.Node;
import glyph.Line;
import java.awt.event.ActionEvent;

/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:06:04)
 * @author: 
 */
public class MessageRoute extends Node {
	AttributedModel source;


	 static final String MI_EDITPURPOSE = Queue.MI_EDITPURPOSE;
	 static final String MI_SHOWPURPOSE = Queue.MI_SHOWPURPOSE;
	 static final String MI_SHOWNAME = Queue.MI_SHOWNAME;
/**
 * MessageRoute constructor comment.
 * Source queue is queue that causes messages to move (HSQ in pull, Remote queue in push)
 */
public MessageRoute(AttributedModel source) {
	super();
	this.source = source;
}
public void actionPerformed(ActionEvent e) {
	
    String cmd = e.getActionCommand();
	if (MI_EDITPURPOSE.equals(cmd)) {
	    getSourceQueue().actionPerformed(e);
    } else if (MI_SHOWPURPOSE.equals(cmd)) {
	    getSourceQueue().actionPerformed(e);
    } else if (MI_SHOWNAME.equals(cmd)) {
	    getSourceQueue().actionPerformed(e);
    } else {
        super.actionPerformed(e);
    }
}
public String[] getBody() {
	String[] body = null;
	if (getSourceQueue().getShowPurpose()) {
        body = new String[]{getSourceQueue().getPurpose()};
	}
	return body;
}
public String getHeader() {
	return "Message Route";
}
protected final Queue getSourceQueue() {
	// dangerous cast - will not always be queue
	return (Queue)source;
}
boolean isValid() {
	return true;
}
public String toString() {
	return "msg route on "+getParentNode().getDescription();
}
}
