package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import glyph.Line;
import glyph.Node;
/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:27:56)
 * @author: 
 */
public class MessageRouteDependancy extends Line {
	private String[] body;
	private boolean isSource = false;
/**
 * MessageRouteDependancy constructor comment.
 * @param src glyph.Node
 * @param dst glyph.Node
 */
public MessageRouteDependancy(Node src, Node dst, String label, boolean isSource) {
	super(src, dst);
	if (null != label) {
		body = new String[]{label};
	}
	this.isSource = isSource;
}
/**
 * reply the body - the bit of text above the line in the box
 * reply null (or empy array) to show no body.
 * Each string in the array will apear on a separate line
 */
protected java.lang.String[] getBody() {
	return body;
}
/**
 * reply he symbol for the destination end of he line 
 * override to change symbol
 */
protected int getDestinationSymbol() {
	if (isSource) {
		return SYMBOL_NONE;
	} else {
		return SYMBOL_BLUNT_ARROW;
	}
}
/**
 * reply the header - the bit of text above the line in the box
 * reply null to show no header
 */
protected String getHeader() {
	return null;
}
/**
 * reply the menu 
 * reply null for no menu
 */
protected java.awt.PopupMenu getMenu() {
	return null;
}
/**
 * reply he symbol for the destination end of he line 
 * override to change symbol
 */
protected int getSourceSymbol() {
	if (isSource) {
		return SYMBOL_ARROW;
	} else {
		return SYMBOL_NONE;
	}
}
/**
 * reply true if the receiver is visible
 * use to control drawing
 */
protected boolean isVisible() {
	boolean visible = true;
	if (getSourceNode().isAttached()) {
		// if the source (mesage route node) is 
		//attached then draw no lines
		visible = false;
	} else {
		Model dst = (Model)getDestinationNode();
		if (dst.isQueue()) {
			// always show lines connecting queues
		} else if (null == body) {
		} else if (dst.isAttached()) {
			visible = false;
		}
	}
	
	return visible;
}
}
