package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:09:03)
 * @author: 
 */
public class MultiMessageRoute extends MQeMessageRoute {
	private QueueManager destinationQueueManager;
	private MessageRouteDependancy destinationLine;
	private MessageRouteDependancy sourceLine;
/**
 * PushMessageRoute constructor comment.
 */
public MultiMessageRoute(StoreAndForwardQueue sourceQueue, Connection connection, Listener listener, QueueManager destinationQueueManager) {
	super(sourceQueue, connection, listener);
	destinationLine = new MessageRouteDependancy(this, destinationQueueManager, null, false);
	sourceLine = new MessageRouteDependancy(this, sourceQueue, null, true);
	this.destinationQueueManager = destinationQueueManager;
}
public String[] getBody() {
    String[] body = super.getBody();
    if (null == body) {
        java.util.Vector qmeList = ((StoreAndForwardQueue) getSourceQueue()).getQueueManagerEntries();
        body = new String[qmeList.size()];
        for (int i = 0; i < body.length; i++) {
            QueueManagerEntry qme = (QueueManagerEntry) qmeList.elementAt(i);
            body[i] = "*@" + qme.getName();
        }
    }
    return body;
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append("This message route represents the potential flow of messages pushed from ");
	buf.append(source.getDescription());
	buf.append(" to ");
	buf.append(destinationQueueManager.getDescription());
	buf.append(".  It relies on the logical connection consisting of ");
	buf.append(connection.getDescription());
	buf.append(" and ");
	buf.append(listener.getDescription());
	buf.append(".");
	java.util.Vector v = ((StoreAndForwardQueue)source).getQueueManagerEntries();
	if (v.size() > 0) {
		buf.append("  Messages for the following queue managers will be transmitted across the route:");
		for (int i = 0; i < v.size(); i++){
			buf.append("\n\t");
			((Model)v.elementAt(i)).getName();
		}
	}
	return buf.toString();
}
public String getHeader() {
	return "Multi Message Route";
}
boolean isValid() {
	return super.isValid()
			&& sourceLine.isAttached()
			&& destinationLine.isAttached();
}
}
