package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:09:03)
 * @author: 
 */
public class PullMessageRoute extends MQeMessageRoute {
	private Queue destinationQueue;
	private MessageRouteDependancy destinationLine;
	private MessageRouteDependancy sourceLine;
/**
 * PushMessageRoute constructor comment.
 */
public PullMessageRoute(HomeServerQueue sourceQueue, Connection connection, Listener listener, StoreAndForwardQueue destinationQueue) {
	super(sourceQueue, connection, listener);
	// note these go counter wise as we are pulling rather than pushing
	destinationLine = new MessageRouteDependancy(this, sourceQueue, null, false);
	sourceLine = new MessageRouteDependancy(this, destinationQueue, null, true);
	this.destinationQueue = sourceQueue;
}
public String[] getBody() {
    String[] body = super.getBody();
    if (getSourceQueue().getShowPurpose()) {
        body = new String[]{getSourceQueue().getPurpose()};
	}
    if (null == body) {
        body = new String[] { "*@" + destinationQueue.getQueueManager().getName()};
    }
    return body;
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append("This message route represents the potential flow of messages pulled from ");
	buf.append(destinationQueue.getDescription());
	buf.append(" to ");
	buf.append(source.getQueueManager().getDescription());
	buf.append(" by ");
	buf.append(source.getShortDescription());
	buf.append(".  It relies on the logical connection consisting of ");
	buf.append(connection.getDescription());
	buf.append(" and ");
	buf.append(listener.getDescription());
	buf.append(".");
	return buf.toString();
}
public String getHeader() {
	return "Pull Message Route";
}
boolean isValid() {
	return super.isValid()
			&& sourceLine.isAttached()
			&& destinationLine.isAttached();
}
}
