package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:09:03)
 * @author: 
 */
public class PushMessageRoute extends MQeMessageRoute {
	private LogicalQueue destinationQueue;
	private MessageRouteDependancy destinationLine;
	private MessageRouteDependancy sourceLine;
/**
 * PushMessageRoute constructor comment.
 */
public PushMessageRoute(AbstractRemoteQueue sourceQueue, Connection connection, Listener listener, LogicalQueue destinationQueue) {
	super(sourceQueue, connection, listener);
	destinationLine = new MessageRouteDependancy(this, destinationQueue, null, false);
	sourceLine = new MessageRouteDependancy(this, sourceQueue, null, true);
	this.destinationQueue = destinationQueue;
}
public String[] getBody() {
    String[] body = super.getBody();
    if (null == body) {
		body = new String[]{getSourceQueue().getQueueName(),
						"@"+getSourceQueue().getQueueQueueManagerName()};
    }
    return body;
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append("This message route represents the potential flow of messages pushed from ");
	buf.append(source.getDescription());
	buf.append(" to ");
	buf.append(destinationQueue.getDescription());
	buf.append(".  It relies on the logical connection consisting of ");
	buf.append(connection.getDescription());
	buf.append(" and ");
	buf.append(listener.getDescription());
	buf.append(".");
	return buf.toString();
}
public String getHeader() {
	return "Push Message Route";
}
boolean isValid() {
	return super.isValid()
			&& sourceLine.isAttached()
			&& destinationLine.isAttached();
}
}
