package glyph;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

final class Aggregate extends Line {
/**
 * Aggregate constructor comment.
 * @param src glyph2.gui.Node
 * @param dst glyph2.gui.Node
 */
public Aggregate(Node src, Node dst) {
	super(src, dst);
}
/**
 * reply the body - the bit of text above the line in the box
 * reply null (or empy array) to show no body.
 * Each string in the array will apear on a separate line
 */
protected java.lang.String[] getBody() {
	return null;
}
/**
 * reply he symbol for the destination end of he line 
 * override to change symbol
 */
protected int getDestinationSymbol() {
	return SYMBOL_HOLLOW_DIAMOND;
}
/**
 * reply the header - the bit of text above the line in the box
 * reply null to show no header
 */
protected String getHeader() {
	return null;
}
	/**
	 * reply importance of line.  Higher importance lines
	 * mask lower importance lines.  Default is 10.
	 */
	public int getImportance() {
		return 5;
	}
/**
 * reply the menu 
 * reply null for no menu
 */
protected java.awt.PopupMenu getMenu() {
	return null;
}
}
