package glyph;

/**
 * Represent a rectangle as absoute coordinates, and prevent it
 * inverting
 * Creation date: (9/6/2002 11:41:10 AM)
 * @author: 
 */
public class Boundary {
	private static final int BOUNDARY_MARGIN = 5;	// space between boundary line and elements
	int top;
	int bottom;
	int left;
	int right;
	
Boundary(final int left, final int top, final int right, final int bottom) {
	super();
	if (top < bottom) {
		this.top = top;
		this.bottom = bottom;
	} else {
		this.top = bottom;
		this.bottom = top;
	}
	if (left < right) {
		this.left = left;
		this.right = right;
	} else {
		this.left = right;
		this.right = left;
	}
}
void _draw(DrawContext graphics, String text, int descent) {
    graphics.drawDottedLine(left, top, right, top);
    graphics.drawDottedLine(left, bottom, right, bottom);
    graphics.drawDottedLine(left, top, left, bottom);
    graphics.drawDottedLine(right, top, right, bottom);
    if (null != text) {
	    graphics.drawString(text, left, top - descent);
    }
}
public final void addTextHeight(int textHeight) {
	top -= textHeight;
}
public final void enlarge() {
	top -= BOUNDARY_MARGIN;
	left -= BOUNDARY_MARGIN;
	right += BOUNDARY_MARGIN;
	bottom += BOUNDARY_MARGIN;
}
public final int height() {
	return bottom - top;
}
final void include(final int left, final int top, final int right, final int bottom) {
	if (top < this.top) {
		this.top = top;
	}
	if (bottom > this.bottom) {
		this.bottom = bottom;
	}
	if (left < this.left) {
		this.left = left;
	}
	if (right > this.right) {
		this.right = right;
	}
}
public final int width() {
	return right - left;
}
}
