package glyph;

import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
/**
 * Insert the type's description here.
 * Creation date: (07/08/2002 16:08:23)
 * @author: 
 */
public class GraphicsContext extends DrawContext {
	private Graphics graphics;
/**
 * GraphicsContext constructor comment.
 */
public GraphicsContext(Graphics g) {
	super();
	graphics = g;
}
	/**
	 * lines are always drawn in black
	 */
void drawLine(int x1, int y1, int x2, int y2) {
	graphics.setColor(Color.black);
	graphics.drawLine(x1,y1,x2,y2);
}
/**
 * drawPolygon method comment.
 */
void drawPolygon(int[] x, int[] y, int nPoints, java.awt.Color border, java.awt.Color fill) {
	graphics.setColor(fill);
	graphics.fillPolygon(x,y,nPoints);
	graphics.setColor(border);
	graphics.drawPolygon(x,y,nPoints);
}
	/**
	 * text is always drawn in black
	 */
	void drawString(String text, int x, int y) {
		graphics.setColor(Color.black);
		graphics.drawString(text, x, y);
	}

	/**
	 * lines are always drawn in black
	 */
void drawDottedLine(int x1, int y1, int x2, int y2) {
	graphics.setColor(Color.black);
	if (x1 == x2) {
		int s = y1;
		do {
			int e = s + 2;
			if (e > y2) {
				e = y2;
			}
			graphics.drawLine(x1,s,x1,e);
			s += 4;
		} while (s < y2);
	} else if (y1 == y2) {
		int s = x1;
		do {
			int e = s + 2;
			if (e > x2) {
				e = x2;
			}
			graphics.drawLine(s, y1,e,y1);
			s += 4;
		} while (s < x2);
	} else {
		graphics.drawLine(x1,y1,x2,y2);
	}
}
}
