package glyph.dialogues;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.*;
import java.awt.event.*;
import java.util.*;
public class GetStringsDialogue extends RendererDialogue {
	private TextField[] dataFields;
	private String[][] dataArray;
/**
 * AddQmDialogue constructor comment.
 * @param parent java.awt.Frame
 */
public GetStringsDialogue(java.awt.Frame parent, String title, String[][] data) {
	super(parent, title);
	setLayout(new BorderLayout());

	dataArray = data;
	int dataElementCount = dataArray.length;
	
	Panel dataPanel = new Panel(new GridLayout(0,2));

	ActionListener returnListener = new ActionListener() {
		public void actionPerformed(ActionEvent e) {
			okEvent();
		}
	};
	KeyAdapter escapeListener = new KeyAdapter() {
		public void keyPressed(KeyEvent e) {
			if (e.VK_ESCAPE == e.getKeyCode()) {
				escapeEvent();
			}
		}
	};
	dataFields = new TextField[dataElementCount];
	for (int i = 0; i < dataElementCount; i++) {
		String elementName = dataArray[i][0];
		String elementValue = dataArray[i][1];
		
		dataPanel.add(new Label(elementName));
		dataFields[i] = new TextField(elementValue);
		dataFields[i].addActionListener(returnListener);
		dataFields[i].addKeyListener(escapeListener);
		dataPanel.add(dataFields[i]);
	}
	add("Center", dataPanel);
	
	Panel buttonPanel = createOkCancelPanel();
	add("South", buttonPanel);

	pack();
}
public void okEvent() {
	for (int i = 0; i < dataArray.length; i++) {
		dataArray[i][1] = dataFields[i].getText();
	}
	super.okEvent();
}
}
