package glyph.dialogues;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import glyph.*;
import java.awt.*;
import glyph.Node;
public class GlyphHelpDialogue extends RendererDialogue {
	private Node node;
	FormattingTextPanel explanation;
/**
 * SnoopHelpDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public GlyphHelpDialogue(java.awt.Frame parent) {
	super(parent, "", false);
	setLayout(new BorderLayout());

	add("South", createOkPanel());

	//FormattingTextPanel description = new FormattingTextPanel(glyph.getDescription());
	//add("North", description);

	explanation = new FormattingTextPanel();
	add("Center", explanation);
	final Dimension dim = parent.getSize();
	setSize(dim.width/2, dim.height/2);
}
public void forceRefresh() {
	String txt = "";
	if (null!= node) {
		txt = node.getDescription();
	}
	explanation.setText(txt);
}
/** overide this for now - sort it out later
 */
public void positionCentrally() {}
/**
 * SnoopHelpDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public void setNode(Node node) {
	if (null == node) {
		this.node = null;
		setTitle("Help View");
		explanation.setText("Click on a node to to get help");
	} else if (this.node != node) {
		this.node = node;
		setTitle(node.getName());
		explanation.setText(node.getExplanation());
	}
}
/**
 * SnoopHelpDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public void setText(String txt, String title) {
    this.node = null;
    setTitle(title);
    explanation.setText(txt);
}
}
